Page MenuHomePhabricator

Restore bureaucrats user rights to default on hi.wiktionary
Closed, ResolvedPublic

Description

Bureaucrats being able to desysop at hi.wiktionary is abnormal and is contrary to the limits on configuration changes. This ability is only to be granted to very big projects where proper oversight and a poll of bureaucrats able to mutually control each other. Currently hi.wiktionary has one inactive bureaucrat and a couple of sysops. This is also a leftover to revert from this RfC.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRestore bureaucrat rights on hi.wiktionary to default

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJan 26 2019, 3:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio triaged this task as Low priority.Jan 26 2019, 3:48 PM
MarcoAurelio moved this task from unsorted/backlog to working on on the User-MarcoAurelio board.

Change 492447 had a related patch set uploaded (by Sau226; owner: Sau226):
[operations/mediawiki-config@master] Restore bureaucrat rights on hi.wiktionary to default

https://gerrit.wikimedia.org/r/492447

Sau226 added a subscriber: Sau226.EditedFeb 23 2019, 6:55 AM

Sorry if I was a bit too hasty or budged in but I've submitted a patch.

I might schedule this for SWAT (EU midday slot, March 7th) if I can however I'm giving no hard guarantees

EDIT: Modified my comment above to reflect change in situation

MarcoAurelio removed a project: User-MarcoAurelio.
Sau226 added a comment.Mar 6 2019, 8:17 AM

I have scheduled this for the EU Midday SWAT on March 7th.

The change will be deployed at that time and should be live by March 8th.

Change 492447 merged by jenkins-bot:
[operations/mediawiki-config@master] Restore bureaucrat rights on hi.wiktionary to default

https://gerrit.wikimedia.org/r/492447

Sau226 closed this task as Resolved.Mar 7 2019, 12:26 PM

Deployed via SWAT